com.holonplatform.core.query

## Interface QueryFunction.Avg

- All Superinterfaces:
    ConverterExpression<Double>, Expression, HasConfiguration<PropertyConfiguration>, Localizable, NumericQueryExpression<Double>, Property<Double>, QueryExpression<Double>, QueryFunction<Double,Number>, QueryFunction.PropertyQueryFunction<Double,Number>, QueryProjection<Double>, Serializable, TypedExpression<Double>, Validator.Validatable<Double>
  Enclosing interface:
    QueryFunction<T,A>

      public static interface QueryFunction.Avg
      extends QueryFunction.PropertyQueryFunction<Double,Number>, NumericQueryExpression<Double>

  A function which represents the average value of a query result.

  The result type is always a `Double`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryFunction

      `QueryFunction.Avg, QueryFunction.Count, QueryFunction.Max<T>, QueryFunction.Min<T>, QueryFunction.NoArgQueryFunction<T>, QueryFunction.PropertyQueryFunction<T,A>, QueryFunction.Sum<T extends Number>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.Builder<T,P extends Property<T>,B extends Property.Builder<T,P,B>>, Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryFunction.Avg` | `create(TypedExpression<? extends Number> argument)` Create a new `QueryFunction.Avg` function instance.

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFunction

      `avg, count, currentDate, currentLocalDate, currentLocalDateTime, currentTimestamp, day, getExpressionArguments, hour, lower, max, min, month, sum, upper, year`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, isReadOnly, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.NumericQueryExpression

      `avg, sum`

- - ### Method Detail

    - #### create

          static QueryFunction.Avg create(TypedExpression<? extends Number> argument)

      Create a new `QueryFunction.Avg` function instance.
      Parameters:
        `argument` - Function argument (not null)
      Returns:
        New `QueryFunction.Avg` function instance

Copyright © 2019 The Holon Platform. All rights reserved.